---
title: "Idealo API: Search | Perceptlayer"
description: "Search from Idealo as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/idealo/search
---

[APIs](https://perceptlayer.com/apis) / [Idealo](https://perceptlayer.com/apis/idealo) / Search

# Idealo: Search

Search from Idealo as JSON. 1 credit per successful call.

GET `/v1/idealo/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Optional | Up to 200 characters |
| `category_id` | string | Optional | Any |
| `page` | integer | Optional | Any |
| `sort` | string | Optional | RELEVANCE\_DESC, PRICE\_ASC, PRICE\_DESC, DISCOUNT\_DESC, CREATION\_DATE\_DESC |
| `filters[]` | list of string | Optional | Any |
| `item_states[]` | list of string | Optional | BARGAIN, SHORT\_TERM\_BARGAIN, EXCLUDE\_USED, FAST\_DELIVERABLE |
| `price_min` | number | Optional | Any |
| `price_max` | number | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/idealo/search" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/idealo?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
